---
kind: pipeline
type: docker
name: amd64-main

platform:
  os: linux
  arch: amd64

trigger:
  branch:
    - main
  event:
    - push
    - pull_request

steps:
  - name: submodules
    image: alpine
    environment:
      SSH_KEY:
        from_secret: SSH_KEY
    commands:
      - apk add openssh git
      - mkdir -p /root/.ssh
      - echo "$SSH_KEY" > /root/.ssh/id_rsa
      - chmod 600 /root/.ssh/id_rsa
      - echo "git.wtf-eg.de ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEjyrSgFgb+/ubyFDl3zvWSIfX+MLzRQUEtjdq1yeTd9" >> /root/.ssh/known_hosts
      - chmod 600 /root/.ssh/known_hosts
      - git submodule update --init --recursive
  - name: build
    image: sphinxdoc/sphinx-latexpdf:5.0.2
    commands:
      - apt-get update
      - apt-get -y install texlive-lang-german rsync git
      - pip install -r requirements.txt
      - export SPHINXOPTS="-D version=$(git -C source/handbuch describe --tags --abbrev=0) -D release=$(git -C source/handbuch describe --tags)"
      - make -j4 bundle
  - name: upload
    image: alpine
    environment:
      NC_USER:
        from_secret: nextcloud_user
      NC_PASSWORD:
        from_secret: nextcloud_password
    commands:
      - apk add curl
      - curl -X PUT -u $NC_USER:$NC_PASSWORD https://work.wtf-eg.de/remote.php/dav/files/$NC_USER/Dokumentation/Das%20Handbuch%20zur%20WTF%20eG.pdf -T bundle/rtfm-dashandbuchzurwtfeg.pdf
      - curl -X PUT -u $NC_USER:$NC_PASSWORD https://work.wtf-eg.de/remote.php/dav/files/$NC_USER/Dokumentation/Das%20Handbuch%20zur%20WTF%20eG.epub -T bundle/RTFM-DasHandbuchzurWTFeG.epub
    when:
      branch:
        - main
      event:
        - push


---
kind: signature
hmac: 797e2df88805ae1dee84d60ec024034965dcf41fc2ef86d5667adfdfe10b2719

...
